% File: E1_006.M

reset;

% This illustrates how the distance to the radio horizon increases
% as the height of the antenna is increased for the case of
% LOS propagation

% h is antenna height in feet
h = 0:10:2000;
% d is distance in miles
d = sqrt(2*h);

plot(h,d);
xlabel('Antenna Height in feet');
ylabel('Miles');
title('Distance to Radio Horizon for LOS Propagation');
grid;






