% File: E4_069.M

reset;

r = 0.25;
B = 10;
fl = B*(1-r)/(1+r);
fd = (B-fl)/2;
df = B/50;
f = 0:df:B;

a = zeros(length(f),1);
window = a;
b = a;

window = pulse(window,f,fl,B);
for (i = 1:1:length(f));
  if (f(i) < fl)
    a(i) = 1;
  end;
  b(i) = 0.5*(1+cos(pi*(f(i)-fl)/(2*fd)));
end;
He = a + b.*window;

plot(f,He);
xlabel('f');
ylabel('He(f)');
title('NOTE: See Figs. 4-22 & 4-23a');



