% File: E7_035.M

reset;

R = 6;
l = 3;
Tb = 1/R;
f = 0:0.02:10;

x = l*pi*f*Tb;
PdB = 10*log10(Sa(x).*Sa(x));

% Note that on this plot consecutive points that are below 
% the -30dB point are connected with a straight line 
subplot(211);
axis([min(f) max(f) -30 0]);
plot(f,PdB);
xlabel('f');
ylabel('PdB(f)');
title('NOTE: Compare with Fig. 7-15 & E4_53.M');
axis;

subplot(212);
plot(f,PdB);
xlabel('f');
ylabel('PdB(f)');
subplot(111);



