% File: E8_043.M

reset;

% Set PedBw, f, B, dmile, diam, and Ts to desired values.

PedBw = 36;
f = 4e9;
B = 30e6;
dmile = 24784;
% diam has units of meters
diam = 5;
Ts = 154.5;
d = 1609.3*dmile;

lambda =3.0e8/f;

GardB = 10*log10(7*pi*(diam/2)^2/lambda^2);
LfsdB = 20*log10(4*pi*d/lambda);
kdB = 10*log10(1.38e-23);
TsdB = 10*log10(Ts);
BdB = 10*log10(B);
CNRdB = PedBw - LfsdB + GardB - TsdB - kdB - BdB;
fprintf('\nThe Carrier-to-Noise Ratio (dB) = %g\n',CNRdB);



