% File: E6_054.M

reset;

fc = 5;
Beta = 3;
fa = 1;
Ta = 1/fa;
dt = 2*Ta/200;
wc = 2*pi*fc;
wa = 2*pi*fa;

t = 0:dt:2*Ta;

mf = cos(wa*t);
mf = mf(:);
j = sqrt(-1);
g = exp(j*Beta*sin(wa*t));
g = g(:);

phase = exp(j*wc*t);
phase = phase(:);
v = real(g.*phase);

subplot(211);
plot(t,mf);
xlabel('t');
ylabel('mf(t)');

subplot(212);
plot(t,v);
xlabel('t');
ylabel('v(t)');
subplot(111);



