% File: E6_060.M

reset;

Ac = 1;
Beta = 5;
fm = 1;
n = 0:1:10;
f = n*fm;

G = zeros(length(n),1);
for (i = 1:1:length(n))
  G(i) = Ac*bessel(n(i),Beta);
end;

plot(f,abs(G),'o');
xlabel('f(n)');
ylabel('|G(n,Beta)|');
for (i = 1:1:length(n))
  polyline([f(i) f(i)],[0 abs(G(i))]);
end;



