% File: EB_064.M

reset;

x = 0:0.1:5;
y = q(x);
y1 = zeros(length(x),1);
m = 1;

for (i = 1:1:length(x))
  y1(i) = 1/(sqrt(2*pi)*(x(i)+10e-6))*exp(-0.5*x(i)^2);
  if (y1(i) > 1)
    m = i;
  end;
end;

semilogy(x,y,x(m+1:length(x)),y1(m+1:length(x)),':');
xlabel('x');
title('Q(x) (solid line) versus Upper Bound (dotted line)');
grid;





